#
# spec file for kcli package
#
# Copyright (c) 2017 Karim Boumedhel
#

Name:           kcli
Version:        99.0.0.git.202507131838.6ce7309
Release:        0%{?dist}
Url:            http://github.com/karmab/kcli
Summary:        Wrapper for libvirt, kubevirt, vsphere, openstack, proxmox, ovirt, aws, azure, gcp, ibmcloud, packet and hcloud
License:        ASL 2.0
Group:          Development/Languages/Python
VCS:            git+https://github.com/karmab/kcli#6ce7309bd7f65ccb8043ed5da9c28de248824f4b:
Source:         kcli.tar.gz
AutoReq:        no
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel rubygem-ronn gzip python3-setuptools git
Requires:       python3 libvirt-python3 xorriso nmap-ncat python3-prettytable python3-jinja2 python3-PyYAML python3-argcomplete

%description
Kcli is a wrapper for local/remote libvirt, kubevirt, vsphere, openstack, proxmox, ovirt, aws, azure, gcp, ibmcloud, packet and hcloud
It allows to easily deploy and manage single vms from cloud images or several using plans or kubernetes clusters

%global debug_package %{nil}

%prep
%setup -T -b 0 -q -n kcli

%build
sed -i "s/, 'libvirt.*/\]/" setup.py
echo "$(git ls-remote https://github.com/karmab/kcli | head -1 | cut -c1-7) $(date +%Y/%m/%d)" > kvirt/version/git
%{python3} setup.py build

%install
%{python3} setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}/%{_docdir}/kcli
mkdir -p %{buildroot}/%{_mandir}/man1
LANG=en_US.UTF-8 ronn -r README.md
mv README kcli.1
gzip kcli.1
cp kcli.1.gz %{buildroot}/%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/kcli
%{_mandir}/man1/kcli.1.gz
%{python3_sitelib}/*
%attr(0755,root,root) %{_bindir}/kcli
%attr(0755,root,root) %{_bindir}/kweb
%attr(0755,root,root) %{_bindir}/klist.py
%attr(0755,root,root) %{_bindir}/kmcp
%attr(0755,root,root) %{_bindir}/ksushy
%attr(0755,root,root) %{_bindir}/ekstoken
%attr(0755,root,root) %{_bindir}/gketoken

%post
! systemctl is-active --quiet ksushy.service || (systemctl daemon-reload && systemctl restart ksushy.service)

%changelog
* Sun Jul 13 2025 karmab <karimboumedhel@gmail.com> 
- ksushy,kweb,expose: listen to ipv6 by default
* Sun Jul 13 2025 karmab <karimboumedhel@gmail.com> 
- ksushy: defaults to ssl
* Fri Jul 11 2025 karmab <karimboumedhel@gmail.com> 
- openshift: allow 2 ctlplanes
* Thu Jul 10 2025 Sergey <6213510+sshnaidm@users.noreply.github.com> 
- Allow running only core MCP (#821)
* Thu Jul 10 2025 karmab <karimboumedhel@gmail.com> 
- mcp: put everything in a single file and conditionally enable bm or cloud
* Thu Jul 10 2025 karmab <karimboumedhel@gmail.com> 
- use GITHUB_TOKEN env variable in github_version filter
* Thu Jul 10 2025 karmab <karimboumedhel@gmail.com> 
- mcp: allow to run via streamable http
* Fri Jul 04 2025 karmab <karimboumedhel@gmail.com> 
- gcp: allow to use existing disks
* Fri Jul 04 2025 karmab <karimboumedhel@gmail.com> 
- hetzner: allow to use existing disks
* Fri Jul 04 2025 karmab <karimboumedhel@gmail.com> 
- vsphere: handle empty password
* Thu Jul 03 2025 karmab <karimboumedhel@gmail.com> 
- vsphere: handle keep_disks
* Fri Jun 27 2025 karmab <karimboumedhel@gmail.com> 
- use common parameters for plan-snapshot actions
* Fri Jun 27 2025 karmab <karimboumedhel@gmail.com> 
- openshift: disconnected_channel
* Wed Jun 25 2025 karmab <karimboumedhel@gmail.com> 
- provide custom output to info network
* Tue Jun 24 2025 karmab <karimboumedhel@gmail.com> 
- allow to use template instead of image
* Tue Jun 24 2025 karmab <karimboumedhel@gmail.com> 
- remove openshift-sno mention from doc
* Tue Jun 17 2025 karmab <karimboumedhel@gmail.com> 
- openshift: move to 4.19
* Tue Jun 17 2025 karmab <karimboumedhel@gmail.com> 
- sync kfish from aicli
* Tue Jun 17 2025 karmab <karimboumedhel@gmail.com> 
- vsphere: fix detach disks
* Sat Jun 14 2025 karmab <karimboumedhel@gmail.com> 
- fix typo on detach disks
* Fri Jun 13 2025 karmab <karimboumedhel@gmail.com> 
- remove packet provider
* Fri Jun 13 2025 karmab <karimboumedhel@gmail.com> 
- extend keep_disks to all providers
* Fri Jun 13 2025 karmab <karimboumedhel@gmail.com> 
- hypershift kubevirt: only update hosts when ingress_ip is set
* Thu Jun 12 2025 lhp-nemlig <159530308+lhp-nemlig@users.noreply.github.com> 
- Small bugfix for hetzner volumes, to ensure that (#817)
* Thu Jun 12 2025 karmab <karimboumedhel@gmail.com> 
- fix rpm changelog
* Thu Jun 12 2025 karmab <karimboumedhel@gmail.com> 
- fix rpm changelog
* Thu Jun 12 2025 karmab <karimboumedhel@gmail.com> 
- hcloud: fix images listing
* Thu Jun 12 2025 karmab <karimboumedhel@gmail.com> 
- fix rpm changelog
* Thu Jun 12 2025 lhp-nemlig <159530308+lhp-nemlig@users.noreply.github.com> 
- Add list image function to hcloud and support more detailed volumes() responses (#813)
* Thu Jun 12 2025 lhp-nemlig <159530308+lhp-nemlig@users.noreply.github.com> 
- hcloud: Don't let labels overwrite already set keys (#814)
